#include "centrepatienttablewidget.h"
#include "form/patientform.h"
CentrePatientTableWidget::CentrePatientTableWidget(QWidget *parent) :
        AbstractTableWidget(parent)
{

    mCentreId = -1;


}
void CentrePatientTableWidget::loadFromCentre(int centreId)
{

    QSqlQueryModel * model = new QSqlQueryModel;
    QString id= QString::number(centreId);
    model->setQuery("select p.id, p.numero, p.status FROM patients p, centres c WHERE "
                    "p.centre_id=c.id AND c.id="+id);
    setModel(model);



}

void CentrePatientTableWidget::addRecord()
{
        PatientForm * form =new PatientForm;
        FormDialog * dialog = new FormDialog(form);
        dialog->exec();
        refresh();
}

void CentrePatientTableWidget::editRecord()
{
        PatientForm * form =new PatientForm;
        FormDialog * dialog = new FormDialog(form);
        SqlHelper sql("patients",this);
        form->load(sql.record(firstRecordSelected().value("id").toInt()));
        dialog->exec();
        refresh();
}
void CentrePatientTableWidget::deleteRecord()
{

        SqlHelper sql("patients",this);
        foreach ( QSqlRecord record, recordsSelected())
            sql.deleteRecord(record.value("id").toInt());
        refresh();

}
